Selection API

From FreeCAD Documentation
Jump to: navigation, search

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano
(October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the autogenerated API documentation, or generate the documentation yourself, see Source documentation.


The selection submodule is part of the FreeCADGui module. Example:

import FreeCADGui
sel = FreeCADGui.Selection.getSelection()
Method.png addSelection(FreeCAD.Object)

Description: Adds an object to the selection

Returns:

Method.png clearSelection([string])

Description: Clears the selection of the given document name. If no document is given the complete selection is cleared.

Returns:

Method.png getSelection([string])

Description: Returns a list of selected document objects for a given document name. If no document is given the complete selection is returned.

Returns: a list of document objects in the order they were selected.

Method.png getSelectionEx([string])

Description: Returns a list of SelectionObject for a given document name. If no document is given the complete selection is returned. Used for selecting subobjects (ex some Edges of a Face).

Returns: a list of SelectionObjects in the order they were selected

Method.png isSelected(FreeCAD.Object)

Description: Checks if a given object is selected

Returns:

Method.png removeSelection(FreeCAD.Object)

Description: Removes an object from the selection

Returns: